## python-srsly 2.4.5

=== requirements.txt ===
catalogue>=2.0.3,<2.1.0
# Development requirements
cython>=0.29.1,<0.30.0
pytest>=4.6.5
pytest-timeout>=1.3.3,<2.0.0
mock>=2.0.0,<3.0.0
numpy>=1.15.0
psutil

=== debian/changelog ===
python-srsly (2.4.5-1ubuntu1) noble; urgency=medium

  * Build with cython3-legacy, see #1056874

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 17 Apr 2024 13:39:03 +0000

python-srsly (2.4.5-1build3) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 17:59:52 +0000

python-srsly (2.4.5-1build2) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Nov 2023 09:27:43 +0100

python-srsly (2.4.5-1build1) lunar; urgency=medium

  * No-change rebuild with Python 3.11 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 22 Mar 2023 05:41:56 +0000

python-srsly (2.4.5-1) unstable; urgency=medium

  * Initial release (Closes: #1025070)

 -- Andreas Tille <tille@debian.org>  Tue, 29 Nov 2022 18:54:41 +0100

=== debian/control ===
Source: python-srsly
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               cython3-legacy,
               python3-all-dev,
               python3-setuptools,
               python3-ruamel.yaml,
               python3-pytest <!nocheck>,
               python3-catalogue <!nocheck>,
               python3-mock <!nocheck>,
               python3-numpy <!nocheck>,
               python3-psutil <!nocheck>
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-srsly
Vcs-Git: https://salsa.debian.org/python-team/packages/python-srsly.git
Homepage: https://github.com/explosion/srsly
Rules-Requires-Root: no

Package: python3-srsly
Architecture: any
Depends: ${python3:Depends},
         ${misc:Depends}
Description: modern high-performance serialization utilities for Python3
 Serialization is hard, especially across Python versions and multiple
 platforms. After dealing with many subtle bugs over the years
 (encodings, locales, large files) libraries like spaCy and Prodigy
 have steadily grown a number of utility functions to wrap the multiple
 serialization formats that are need to support (especially json, msgpack
 and pickle). To avoid duplication these functions were put in one place.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export LC_ALL=C.UTF-8

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export PYBUILD_NAME=srsly

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	dh_auto_test || true

## python-srsly 2.5.1

=== requirements.txt ===
catalogue>=2.0.3,<2.1.0
# Development requirements
cython>=0.29.1
pytest>=4.6.5
pytest-timeout>=1.3.3
mock>=2.0.0,<3.0.0
numpy>=1.15.0
psutil

=== debian/changelog ===
python-srsly (2.5.1-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:55:08 +0000

python-srsly (2.5.1-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * New upstream version
  * Run build-time test properly
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/
  * Set upstream metadata fields: Repository.

  [ Colin Watson ]
  * Import unittest.mock instead of mock.

  [ Alexandre Detiste ]
  * Remove python3-mock build dependency.
  * Tweak d/watch
  * New upstream version 2.5.0:
    - Port to Cython 3 (closes: #1056874).
  * Tell pytest tests location.

  [ Colin Watson ]
  * New upstream release 2.5.1.
  * Drop python3-ruamel.yaml build-dependency; srsly has an embedded copy.
  * testutils: Preserve any existing PYTHONPATH.
  * cloudpickle: Accommodate class state restoration for Python 3.13.
  * Use autopkgtest-pkg-pybuild.
  * Add ${shlibs:Depends}.

 -- Colin Watson <cjwatson@debian.org>  Tue, 11 Feb 2025 18:02:21 +0000

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export LC_ALL=C.UTF-8

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export PYBUILD_NAME=srsly
export PYBUILD_TEST_ARGS=$(if $(PYBUILD_AUTOPKGTEST),/usr/lib/python3/dist-packages/)srsly/tests

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4

#opts="repacksuffix=+dfsg,dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/explosion/srsly/tags (?:.*?/).*?(\d[\d.]*)\.tar\.gz

## python-srsly 2.5.2

=== debian/changelog ===
python-srsly (2.5.2-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable along with python-confection.

 -- Stuart Prescott <stuart@debian.org>  Thu, 11 Dec 2025 17:42:27 +1100

python-srsly (2.5.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release that declares Python 3.14 compatibility.
  * Backport upstream work to de-vendor modules thus avoiding
    incompatibilities in old cloudpickle and ujson packages
    (Closes: #1122024).

 -- Stuart Prescott <stuart@debian.org>  Mon, 08 Dec 2025 17:35:14 +1100

=== debian/control ===
Source: python-srsly
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: python
Testsuite: autopkgtest-pkg-pybuild
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 cython3,
 python3-all-dev,
 python3-catalogue <!nocheck>,
 python3-cloudpickle,
 python3-numpy <!nocheck>,
 python3-psutil <!nocheck>,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-ujson,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-srsly
Vcs-Git: https://salsa.debian.org/python-team/packages/python-srsly.git
Homepage: https://github.com/explosion/srsly

Package: python3-srsly
Architecture: any
Depends:
 python3-cloudpickle,
 python3-ujson,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: modern high-performance serialization utilities for Python3
 Serialization is hard, especially across Python versions and multiple
 platforms. After dealing with many subtle bugs over the years
 (encodings, locales, large files) libraries like spaCy and Prodigy
 have steadily grown a number of utility functions to wrap the multiple
 serialization formats that are need to support (especially json, msgpack
 and pickle). To avoid duplication these functions were put in one place.
